%define ver 2.1rc1
%define rel 1mdk

%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z][a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 0.%(echo %ver|sed -e 's/%version//g').%rel
%else
%define version %ver
%define release %rel
%endif

Name:		http-replicator
Version:	%version
Release:	%release
URL:		http://gertjan.freezope.org/replicator/
Source:		http://gertjan.freezope.org/replicator/%{name}-%{ver}.tar.bz2
Source1:	%{name}.init.bz2
Group:		System/Servers
License:	GPL
Summary:	General purpose caching proxy server
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Buildarch:	noarch
Requires(pre):	rpm-helper

%description
Replicator is a replicating HTTP proxy server. Files that are downloaded
through the proxy are transparently stored in a private cache, so an exact copy
of accessed remote files is created on the local machine. It is in essence a
general purpose proxy server, but very well suited for maintaining a cache of
Mandrakelinux packages.

%prep
%setup -q -n %{name}-%{ver}

%build

%install
rm -Rf %{buildroot}
install -d %{buildroot}/{%{_bindir},%{_sysconfdir}/{sysconfig,cron.weekly,logrotate.d},%{_initrddir}}
install -m755 http-replicator  http-replicator_maintenance %{buildroot}/%{_bindir}
install -m644 debian/default %{buildroot}/%{_sysconfdir}/%{name}
install -m 755 debian/cron.weekly %{buildroot}/%{_sysconfdir}/cron.weekly/%{name}
sed -i -e 's/default/sysconfig/g' %{buildroot}/%{_sysconfdir}/cron.weekly/%{name}
install -m 644 debian/logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}
install -m 644 debian/default %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
sed -i -e 's/proxy/%{name}/g' %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

bzcat %{SOURCE1} > %{buildroot}/%{_initrddir}/%{name}
install -d %{buildroot}/%{_var}/cache/%{name}

%pre
%_pre_useradd %{name} %{_var}/cache/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%config(noreplace) %attr(755,root,root) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}//%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/cron.weekly/%{name}
%dir %attr(755,%{name},adm) %{_var}/cache/%{name}
%doc README

%changelog
* Tue Aug 03 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.1-0.rc1.1mdk
- First Mandrake package
